Bonsoir

Je suis en cours de changement d'IDE depuis Eclipse vers IntelliJ prenium complete.
Mon projet est en Java7 sous tomcat7, je souhaite utiliser le plugin "Smart Tomcat" afin d'executer et de debugger, et je rencontre à priori un soucis de version de dépendance.
Je dois pour l'instant rester en Java7

Bien sur si je suis sous eclipse je peux debugger en Java7/Tomcat 7 !!!

Merci de votrer aide
Phil

Code :Sélectionner tout -Visualiser dans une fenêtre à part
1
2
3
4
5
6
7
8
9
10
11
12
13
14
 
nov. 22, 2017 4:27:38 PM org.apache.catalina.core.StandardEngine startInternal
INFOS: Starting Servlet Engine: Apache Tomcat/7.0.78
nov. 22, 2017 4:27:39 PM org.apache.catalina.startup.ContextConfig processServletContainerInitializers
GRAVE: Failed to detect ServletContainerInitializers for context with name [/web]
java.io.IOException: java.lang.ClassCastException: Cannot cast com.sun.xml.ws.transport.http.servlet.WSServletContainerInitializer to javax.servlet.ServletContainerInitializer
               at org.apache.catalina.startup.WebappServiceLoader.loadServices(WebappServiceLoader.java:206)
               at org.apache.catalina.startup.WebappServiceLoader.load(WebappServiceLoader.java:158)
               at org.apache.catalina.startup.ContextConfig.processServletContainerInitializers(ContextConfig.java:1579)
               at org.apache.catalina.startup.ContextConfig.webConfig(ContextConfig.java:1280)
               at org.apache.catalina.startup.ContextConfig.configureStart(ContextConfig.java:888)
               at org.apache.catalina.startup.ContextConfig.lifecycleEvent(ContextConfig.java:388)
               at org.apache.catalina.util.LifecycleSupport.fireLifecycleEvent(LifecycleSupport.java:117)
               at org.apache.catalina.util.LifecycleBase.fireLifecycleEvent(LifecycleBase.java:90)